#if !defined(AFX_INTERPRETEPROXYSERVER_H__BC781391_8A43_11D5_9AB6_00D04C390250__INCLUDED_)
#define AFX_INTERPRETEPROXYSERVER_H__BC781391_8A43_11D5_9AB6_00D04C390250__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "token.h"
typedef struct 
{
	char protocol[1024];
	char scheme[1024];
	char proxy[1024];
	char port[1024];
} TProxyServer;


/* ---------------------------------------------------------------------------------------------
	Syntaxe: [<protocol>=][<scheme>://]<proxy>[:<port>][;Syntax] For example, 

	Ex:
		http://proxy:80
		or
		ftp=ftp://ftp-gw;http=http://jerhico:80
-------------------------------------------------------------------------------------------- */

class CInterpreteProxyServer : private CToken
{
	public:
		CInterpreteProxyServer(char *source);
		virtual ~CInterpreteProxyServer();

	private:
		BOOL GramMain();
		BOOL GramTScheme();
		BOOL GramScheme();

	private:
		TProxyServer m_proxy;
		char m_unknown[1024];

	public:
		TProxyServer http;
		TProxyServer https;
		TProxyServer ftp;
		TProxyServer gopher;
		TProxyServer socks;
};

#endif // !defined(AFX_INTERPRETEPROXYSERVER_H__BC781391_8A43_11D5_9AB6_00D04C390250__INCLUDED_)
